{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "EXE_CLOTURE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "exe_cloture"; }; 
            name = exeCloture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EXE_EXERCICE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "exe_Exercice"; }; 
            name = exeExercice; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "EXE_INVENTAIRE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "exe_inventaire"; }; 
            name = exeInventaire; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EXE_Ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EXE_ORDRE"; }; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "EXE_OUVERTURE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "exe_ouverture"; }; 
            name = exeOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EXE_STAT"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "exe_stat"; }; 
            name = exeStat; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_eng"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "exe_stat"; }; 
            name = exeStatEng; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_fac"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "exe_stat"; }; 
            name = exeStatFac; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_liq"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "exe_stat"; }; 
            name = exeStatLiq; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_Rec"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "exe_stat"; }; 
            name = exeStatRec; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "EXE_TYPE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "exe_type"; }; 
            name = exeType; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        exeCloture, 
        exeExercice, 
        exeInventaire, 
        exeOrdre, 
        exeOuverture, 
        exeStat, 
        exeStatEng, 
        exeStatFac, 
        exeType, 
        exeStatLiq, 
        exeStatRec
    ); 
    className = "org.cocktail.fwkcktldroitsutils.server.metier.EOExercice"; 
    classProperties = (
        exeCloture, 
        exeExercice, 
        exeInventaire, 
        exeOuverture, 
        exeStat, 
        exeStatEng, 
        exeStatFac, 
        exeType, 
        exeStatLiq, 
        exeStatRec
    ); 
    externalName = "JEFY_ADMIN.EXERCICE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exeCloture, 
            exeExercice, 
            exeInventaire, 
            exeOuverture, 
            exeStat, 
            exeStatEng, 
            exeStatFac, 
            exeType, 
            exeStatLiq, 
            exeStatRec
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktldroitsutils.client.metier.EOExercice"; 
        "_nameInObjectStore" = Exercice; 
    }; 
    name = "FwkDroits_Exercice"; 
    primaryKeyAttributes = (exeOrdre); 
}
